Skip to main content
GET
Get Payment Request Status
Check the status of a payment request.

Authorizations

Authorization
string
header
required

Bearer token authentication using developer secret key. Format: Bearer sk_live_your_secret_key_here

Path Parameters

requestId
string<uuid>
required

Payment request ID

Response

Payment request status retrieved successfully

id
string<uuid>
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

status
enum<string>
required
Available options:
PENDING,
APPROVED,
REJECTED,
EXPIRED,
CANCELLED
Example:

"APPROVED"

amount
number<double>
required
Example:

1000

currency
string
required
Example:

"MWK"

description
string
required
Example:

"Payment for service XYZ"

createdAt
string<date-time>
required
Example:

"2026-01-22T17:25:00.000Z"

expiresAt
string<date-time>
required
Example:

"2026-01-22T17:30:00.000Z"